(* This is a test program for the TSUNTH.TPU unit 25-Feb-89
   Updated 21-Mar-90 *)

uses TSUNTH;

procedure LOGO;
begin
  writeln;
  writeln ('TSUNTH unit test by Prof. Timo Salmi, 21-Mar-90');
  writeln ('University of Vaasa, Finland, ts@chyde.uwasa.fi');
  writeln;
end;  (* logo *)

(* Testing if graftabl is loaded *)
procedure TEST1;
begin
  if GRTABLFN then
     writeln ('GRAFTABL has been loaded')
   else
     writeln ('GRAFTABL has not been loaded');
end;  (* test1 *)

(* Testing if c:\util is a directory *)
procedure TEST2;
var name : string;
begin
  name := 'c:\util';
  writeln (name, ' is directory: ', ISDIRFN (name));
  Flush (output);
end;  (* test2 *)

(* Testing copy *)
procedure TEST3;
var file1, file2 : string;
    status       : byte;
begin
  file1 := 'c:\command.com';
  file2 := 'f:\command.com';
  COPYFILE (file1, file2, status);
  if status = 0 then
     writeln (file1, ' copied to ', file2)
   else
     begin
       writeln ('Error in copying ', file1, ' to ', file2);
       writeln ('Status = ', status);
     end;
end;  (* test3 *)

(* Main program *)
begin
  LOGO;
  TEST1;
  TEST2;
  TEST3;
  write ('Press <ͼ'); readln;
end.  (* tsunth.tst *)
